{
    "expo": {
        "name": "Crazy Charge",
        "slug": "template",
        "version": "1.3.12",
        "orientation": "portrait",
        "icon": "./assets/CC_Logo.png",
        "userInterfaceStyle": "light",
        "scheme": "ccscheme",
        "splash": {
            "image": "./assets/splash.png",
            "resizeMode": "contain",
            "backgroundColor": "#02677D"
        },
        "assetBundlePatterns": ["**/*"],
        "ios": {
            "supportsTablet": false,
            "bundleIdentifier": "hk.ayf.crazycharge",
            "infoPlist": {
                "LSApplicationQueriesSchemes": ["whatsapp"],
                "UIBackgroundModes": ["remote-notification"],
                "CFBundleAllowMixedLocalizations": true,
                "NSAppTransportSecurity": {
                    "NSExceptionDomains": {
                        "exp.direct": {
                            "NSIncludesSubdomains": true,
                            "NSExceptionAllowsInsecureHTTPLoads": true
                        }
                    }
                },
                "ITSAppUsesNonExemptEncryption": false
            },
            "config": {
                "googleMapsApiKey": "process.env.GOOGLE_MAPS_API_KEY"
            }
        },
        "android": {
            "adaptiveIcon": {
                "foregroundImage": "./assets/cc_android_ccLogo.png",
                "backgroundColor": "#000000"
            },
            "icon": "./assets/cc_android_ccLogo.png",

            "permissions": [
                "android.permission.INTERNET",
                "android.permission.CAMERA",
                "android.permission.RECORD_AUDIO",
                "android.permission.ACCESS_COARSE_LOCATION",
                "android.permission.ACCESS_FINE_LOCATION"
            ],
            "package": "hk.ayf.crazycharge",
            "versionCode": 30,
            "googleServicesFile": "./google-services.json",
            "config": {
                "googleMaps": {
                    "apiKey": "process.env.GOOGLE_MAPS_API_KEY"
                }
            }
        },
        "web": {
            "bundler": "metro",
            "favicon": "./assets/favicon.png"
        },
        "plugins": [
            [
                "expo-notifications",
                {
                    "icon": "./assets/cc_android_notification_icon.png",
                    "color": "#02677D"
                }
            ],
            "expo-router",
            "expo-secure-store",
            [
                "expo-camera",
                {
                    "cameraPermission": "我們需要相機權限來掃描機器上的二維碼，以便識別並啟動充電機器。我們不會儲存或共享任何掃描到的資訊。",
                    "microphonePermission": "我們需要麥克風權限來允許語音輸入，以便提供更好的充電體驗。我們不會儲存或共享任何錄製到的資訊。",
                    "recordAudioAndroid": true
                }
            ],
            [
                "expo-location",
                {
                    "locationAlwaysAndWhenInUsePermission": "我們需要您的位置資訊來尋找附近的充電站。您的位置資訊只會被用於尋找充電站。我們不會儲存或共享任何資訊",
                    "locationAlwaysPermission": "我們需要您的位置資訊來尋找附近的充電站。您的位置資訊只會被用於尋找充電站。我們不會儲存或共享任何資訊",
                    "locationWhenInUsePermission": "我們需要您的位置資訊來尋找附近的充電站。您的位置資訊只會被用於尋找充電站。我們不會儲存或共享任何資訊"
                }
            ]
        ],
        "extra": {
            "router": {
                "origin": false
            },
            "eas": {
                "projectId": "dc6b7a3f-cf92-441a-8962-0f25e8d06902"
            }
        },
        "runtimeVersion": "1.3.3",
        "updates": {
            "url": "https://u.expo.dev/dc6b7a3f-cf92-441a-8962-0f25e8d06902"
        },
        "owner": "kanff"
    }
}
